Name:           perl-Task-Kensho
Version:        0.09
Release:        1%{?dist}
Summary:        Task::Kensho Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Task-Kensho/
Source0:        http://www.cpan.org/authors/id/P/PE/PERIGRIN/Task-Kensho-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	perl(Bundle::CPAN)
Requires:	perl(local::lib)
Requires:	perl(version)
Requires:	perl(Test::Simple)
Requires:	perl(Test::Most)
Requires:	perl(Test::Exception)
Requires:	perl(Test::Pod)
Requires:	perl(Test::Pod::Coverage)
Requires:	perl(Test::Memory::Cycle)
Requires:	perl(Moose)
Requires:	perl(MooseX::Types)
Requires:	perl(Moose::Autobox)
Requires:	perl(MooseX::AttributeHelpers)
Requires:	perl(MooseX::Storage)
Requires:	perl(MooseX::Getopt)
Requires:	perl(MooseX::SimpleConfig)
Requires:	perl(MooseX::StrictConstructor)
Requires:	perl(namespace::clean)
Requires:	perl(POE)
Requires:	perl(Catalyst)
Requires:	perl(Catalyst::View::TT)
Requires:	perl(Catalyst::Model::DBIC::Schema)
Requires:	perl(Catalyst::Devel)
Requires:	perl(Catalyst::Plugin::Session)
Requires:	perl(Catalyst::Plugin::Authentication)
Requires:	perl(Catalyst::Plugin::StackTrace)
Requires:	perl(DBI)
Requires:	perl(DBD::SQLite)
Requires:	perl(DBIx::Class)
Requires:	perl(DBIx::Class::Schema::Loader)
Requires:	perl(SQL::Translator)
Requires:	perl(Bundle::LWP)
Requires:	perl(LWP::Simple)
Requires:	perl(WWW::Mechanize)
Requires:	perl(Module::Starter)
Requires:	perl(Module::Install)
Requires:	perl(Devel::NYTProf)
Requires:	perl(Perl::Tidy)
Requires:	perl(Carp::Always)
Requires:	perl(Modern::Perl)
Requires:	perl(DateTime)
Requires:	perl(Date::Tiny)
Requires:	perl(Time::ParseDate)
Requires:	perl(Config::Any)
Requires:	perl(Config::General)
Requires:	perl(App::Ack)
Requires:	perl(App::Nopaste)
Requires:	perl(Devel::REPL)
Requires:	perl(Module::CoreList)
Requires:	perl(Smart::Comments)
Requires:	perl(IO::All)
Requires:	perl(XXX)

%description
Kenshō (見性) (C. Wu) is a Japanese term for enlightenment
experiences—most commonly used within the confines of Zen
Buddhism—literally meaning "seeing one's nature" or "true self." It
generally "refers to the realization of nonduality of subject and object."

Task::Kensho is a first cut at building a list of reccomended modules for
Enlightened Perl development. CPAN is wonderful, but there are too many
wheels and you have to pick and choose amongst the various competing
technologies.

%prep
%setup -q -n Task-Kensho-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes Makefile nytprof.out README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Mar 30 2009 Dave Cross <dave@mag-sol.com> 0.0.8-1
- Specfile autogenerated by cpanspec 1.77.
